ChartDirector Ver 5.0 (PHP Edition)

XYChart.addTrendLayer2

Usage

addTrendLayer2(xData, yData [, color [, name [, depth ]]])

Description

Adds a trend chart layer to the XYChart, and specify the x and y values for drawing the trend line.

Arguments

Argument | Default | Description
--- | --- | ---
xData | (Mandatory) | An array of numbers representing the x values of the data points.
yData | (Mandatory) | An array of numbers representing the y values of the data points.
color | -1 | The color to draw the line. -1 means that the color is automatically selected from the palette.
name | "" | The name of the data set. The name will be used in the legend box, if one is available. An empty string means the data set has no name.
depth | 0 | The 3D depth of the line layer.

Return Value

A TrendLayer object representing the trend layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.